# Constant Field Values

## Contents

- <Unnamed>

## <Unnamed>.*

Attribute
`public static final java.lang.String` `PRIVATE` `"-"`
`public static final java.lang.String` `PROTECTED` `"#"`
`public static final java.lang.String` `PUBLIC` `"+"`

Class
`public static final int` `CIRCLE` `1`
`public static final int` `RECTANGLE` `0`

ClassPropertiesWindow
`public static final int` `UPDATE_ATTR` `0`
`public static final int` `UPDATE_METH` `1`

Link
`public static final int` `AGGREGATION` `3`
`public static final int` `CARD_NULL` `0`
`public static final int` `CARD_ONE` `1`
`public static final int` `CARD_UNLIMITED` `-1`
`public static final int` `COMPOSITION` `2`
`public static final int` `INHERITANCE` `4`
`public static final int` `STRONG` `0`
`public static final int` `WEAK` `1`

Method
`public static final java.lang.String` `PRIVATE` `"-"`
`public static final java.lang.String` `PROTECTED` `"#"`
`public static final java.lang.String` `PUBLIC` `"+"`

UmlToolbar
`public static final int` `ASSOCIATION_TOOL` `6`
`public static final int` `CLASS_TOOL` `5`
`public static final int` `COPY_TOOL` `3`
`public static final int` `DELETE_TOOL` `2`
`public static final int` `EDIT_TOOL` `1`
`public static final int` `LINK_TOOL` `7`
`public static final int` `PASTE_TOOL` `4`
`public static final int` `SELECT_TOOL` `0`